# Uses of Class
it.tdlight.jni.TdApi.UnreadReaction

## Uses of TdApi.UnreadReaction in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.UnreadReaction
Modifier and Type
Field
Description
`TdApi.UnreadReaction[]`
TdApi.Message.`unreadReactions`
Information about unread reactions added to the message.
`TdApi.UnreadReaction[]`
TdApi.UpdateMessageUnreadReactions.`unreadReactions`
The new list of unread reactions.
Constructors in it.tdlight.jni with parameters of type TdApi.UnreadReaction
Modifier
Constructor
Description
``
`Message(long id, TdApi.MessageSender senderId, long chatId, TdApi.MessageSendingState sendingState, TdApi.MessageSchedulingState schedulingState, boolean isOutgoing, boolean isPinned, boolean canBeEdited, boolean canBeForwarded, boolean canBeRepliedInAnotherChat, boolean canBeSaved, boolean canBeDeletedOnlyForSelf, boolean canBeDeletedForAllUsers, boolean canGetAddedReactions, boolean canGetStatistics, boolean canGetMessageThread, boolean canGetReadDate, boolean canGetViewers, boolean canGetMediaTimestampLinks, boolean canReportReactions, boolean hasTimestampedMedia, boolean isChannelPost, boolean isTopicMessage, boolean containsUnreadMention, int date, int editDate, TdApi.MessageForwardInfo forwardInfo, TdApi.MessageImportInfo importInfo, TdApi.MessageInteractionInfo interactionInfo, TdApi.UnreadReaction[] unreadReactions, TdApi.MessageReplyTo replyTo, long messageThreadId, long savedMessagesTopicId, TdApi.MessageSelfDestructType selfDestructType, double selfDestructIn, double autoDeleteIn, long viaBotUserId, int senderBoostCount, String authorSignature, long mediaAlbumId, String restrictionReason, TdApi.MessageContent content, TdApi.ReplyMarkup replyMarkup)`
Describes a message.
``
`UpdateMessageUnreadReactions(long chatId, long messageId, TdApi.UnreadReaction[] unreadReactions, int unreadReactionCount)`
The list of unread reactions added to a message was changed.